=== modified file 'NEWS'
--- NEWS	2008-07-22 19:40:04 +0000
+++ NEWS	2008-07-22 19:46:47 +0000
@@ -52,6 +52,8 @@
 
   * Fix plugin description in gpreferences. (Jasper Groenewegen, #232191)
 
+  * Remove question for setting default push location. (Jasper Groenewegen, #151818)
+
  CHANGES
 
   * Moved notify icon code to separate script. (Jelmer Vernooij)

=== modified file 'push.py'
--- push.py	2008-05-05 18:16:46 +0000
+++ push.py	2008-07-22 19:46:47 +0000
@@ -94,12 +94,7 @@
         """ Push button clicked handler. """
         location = self._combo.get_child().get_text()
         revs = 0
-        if self.branch is not None and self.branch.get_push_location() is None:
-            response = question_dialog(_i18n('Set default push location'),
-                                       _i18n('There is no default push location set.\nSet %r as default now?') % location)
-            if response == gtk.RESPONSE_OK:
-                self.branch.set_push_location(location)
-
+        
         try:
             revs = do_push(self.branch, location=location, overwrite=False)
         except errors.DivergedBranches:
@@ -108,6 +103,9 @@
             if response == gtk.RESPONSE_YES:
                 revs = do_push(self.branch, location=location, overwrite=True)
         
+        if self.branch is not None and self.branch.get_push_location() is None:
+            self.branch.set_push_location(location)
+        
         self._history.add_entry(location)
         info_dialog(_i18n('Push successful'),
                     _i18n("%d revision(s) pushed.") % revs)

